<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".team.TeamActivity">


    <!--Name input-->
    <android.support.design.widget.TextInputLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="8dp">

        <EditText
            android:id="@+id/teamNameEditInput"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:hint="@string/act_edit_team_name"
            android:inputType="text" />
    </android.support.design.widget.TextInputLayout>


    <!--Description input-->
    <android.support.design.widget.TextInputLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="8dp">

        <EditText
            android:id="@+id/teamDescriptionEditInput"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:hint="@string/act_edit_team_description"
            android:inputType="textMultiLine"
            android:maxLines="5" />
    </android.support.design.widget.TextInputLayout>


    <!--Add member (his email)-->
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal">

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="2.5"
            android:orientation="vertical">

            <EditText
                android:id="@+id/memberEmailEditText"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:inputType="textEmailAddress" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:orientation="vertical">

            <Button
                android:id="@+id/btnAddMemberEmail"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:onClick="onBtnAddMemberEmailClick"
                android:text="@string/act_edit_team_btn_add_member" />
        </LinearLayout>

    </LinearLayout>


    <!--Members list-->
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1"
        android:orientation="vertical">

        <ListView
            android:id="@+id/membersListView"
            android:layout_width="match_parent"
            android:layout_height="wrap_content" />
    </LinearLayout>


    <!--Edit button-->
    <android.support.v7.widget.AppCompatButton
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:onClick="onBtnEditTeamClick"
        android:padding="12dp"
        android:text="@string/act_edit_team_btn_edit_team" />

</LinearLayout>